/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.placeholder.config;

import java.util.ArrayList;
import java.util.List;

import org.tinygroup.placeholder.Validator;
import org.tinygroup.placeholder.impl.validate.BooleanValidator;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

@XStreamAlias("validators")
public class Validators {
	/**
	 * 是否合法
	 */
	@XStreamAsAttribute
    @XStreamImplicit
	private  List<Validator> validatorList;

	public List<Validator> getValidatorList() {
		if(validatorList==null){
			validatorList=new ArrayList<Validator>();
		}
		return validatorList;
	}

	public void setValidatorList(List<Validator> validatorList) {
		this.validatorList = validatorList;
	}
	
	public static void main(String[] args) {
		Validator booleanvValidator=new BooleanValidator();
		Validators validators=new Validators();
		List<Validator> list=new ArrayList<Validator>();
		list.add(booleanvValidator);
		validators.setValidatorList(list);
		XStream xstream = new XStream();
		xstream.autodetectAnnotations(true);
		xstream.processAnnotations(Validators.class);
		xstream.processAnnotations(Validator.class);
	     System.out.println(xstream.toXML(validators));
		
	}
	
	
}
